## org.apache.ivy.core.cache
Interface ModuleDescriptorWriter

    public interface ModuleDescriptorWriter

Method Summary
`void` `write(ResolvedResource originalMdResource, ModuleDescriptor md, java.io.File src, java.io.File dest)`

Method Detail

### write

    void write(ResolvedResource originalMdResource,
               ModuleDescriptor md,
               java.io.File src,
               java.io.File dest)
               throws java.io.IOException,
                      java.text.ParseException

  Throws:
    `java.io.IOException`
    `java.text.ParseException`